Bug 141508 - Evolution does not learn IMAP mailbox separator
Evolution does not learn IMAP mailbox separator
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 13:06 EST by Michael Brown
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 10:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Brown 2004-12-01 13:06:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Evolution does not properly learn the mailbox separator when using IMAP.
Server is dovecot-0.99.10.5-0.FC2 - accessing via ssh custom command
(Thanks to whomever put that feature in!)

I'm using a maildir store, so my mailbox separator is '.'
Evolution still attempts to use '/' as the separator, as below:

>> * PREAUTH [CAPABILITY IMAP4rev1 SORT THREAD=REFERENCES MULTIAPPEND
UNSELECT LITERAL+ IDLE CHILDREN LISTEXT LIST-SUBSCRIBED] Logged in as
michaelb
<< E00000 CAPABILITY
>> * CAPABILITY IMAP4rev1 SORT THREAD=REFERENCES MULTIAPPEND UNSELECT
LITERAL+ IDLE CHILDREN LISTEXT LIST-SUBSCRIBED
>> E00000 OK Capability completed.
<< E00001 LIST "" {1+}
<< %
>> * LIST (\HasNoChildren) "." INBOX
>> * LIST (\HasChildren) "." "incoming"
>> E00001 OK List completed.
<< E00002 LIST "" {10+}
<< incoming/%
>> E00002 OK List completed. 

It *should* be doing the following:
<< E00002 LIST "" {10+}
<< incoming.%
>> * LIST (\HasNoChildren) "." "incoming.folder1"
>> * LIST (\HasNoChildren) "." "incoming.folder2"
>> * LIST (\HasNoChildren) "." "incoming.folder3"
>> E00002 OK List completed.



Version-Release number of selected component (if applicable):
evolution-2.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. Use a maildir remote imap store
2. As above

Actual Results:  Evolution couldn't find the mail folders more than
one level deep

Expected Results:  It should have used the correct mail folder separator

Additional info:
Comment 1 Matthew Miller 2006-07-10 18:03:59 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-11-05 10:56:27 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.